Package net.sourceforge.jiu.data

# Interface RGB24Image

All Superinterfaces:
  `ByteChannelImage`, `IntegerImage`, `PixelImage`, `RGBImage`, `RGBIndex`, `RGBIntegerImage`

All Known Implementing Classes:
  `BufferedRGB24Image`, `MemoryRGB24Image`

public interface RGB24Image extends ByteChannelImage, RGBIntegerImage
An empty interface for RGB truecolor images with integer samples that are each eight bits large (thus, 24 bits per pixel).

Author:
  Marco Schmidt

## Field Summary

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.ByteChannelImage

`clear, clear, getByteSample, getByteSample, getByteSamples, putByteSample, putByteSample, putByteSamples`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`